Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 157824

Summary: up2date in gui freezes, char-mode gives an exception
Product: [Fedora] Fedora Reporter: Mart <mart.van.ineveld>
Component: up2dateAssignee: Bret McMillan <bretm>
Status: CLOSED WONTFIX QA Contact: Fanny Augustin <fmoquete>
Severity: medium Docs Contact:
Priority: medium    
Version: 4   
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-11-05 16:26:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Mart 2005-05-16 09:25:45 UTC
+++ This bug was initially created as a clone of Bug #157714 +++

Description of problem:
up2date freezes as in bug #157714, but in chaacter mode an exception is shown.
The command as root:
[root@bluebird rhn]#up2date -uv

(.........skipping output ...........)

Fetching Obsoletes list for channel: updates-testing...


Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
vsftpd                                  2.0.3          1.FC3             x86_64
No advisory information available



Testing package set / solving RPM inter-dependencies...
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1231, in exceptionHandler
    log = up2dateLog.initLog()
NameError: global name 'up2dateLog' is not defined

Original exception was:
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1264, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 799, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1136, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 78, in run
    self.__dryRun()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 163, in __dryRun
    self.percentCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 386, in dryRun
    ret = depsolve.solvedep()
  File "/usr/share/rhn/up2date_client/depSolver.py", line 722, in solvedep
    ret = self.process_deps(deps)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 616, in process_deps
    changed = self.__dependencies(dependencies)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 383, in __dependencies
    added = self.__add(solved, check = 1)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 221, in __add
    hdr = headerList[p]
  File "/usr/share/rhn/up2date_client/headers.py", line 37, in __getitem__
    self.__retrievePackage(item)
  File "/usr/share/rhn/up2date_client/headers.py", line 42, in __retrievePackage
    hdr, sourceType = rpcServer.doCall(self.repos.getHeader, item)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 309, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 35, in getHeader
    return self.handlers[channel['type']].getHeader(pkg, msgCallback,
progressCallback)
TypeError: unsubscriptable object

Comment 1 John Thacker 2006-10-29 20:25:23 UTC
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Comment 2 John Thacker 2006-11-05 16:26:28 UTC
Closing per previous message.